
From: "Randy.Dunlap" <rddunlap@osdl.org>

Convert MODULE_PARM() to module_param().

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/generic_serial.c      |    2 +-
 25-akpm/drivers/char/nwflash.c             |    2 +-
 25-akpm/drivers/char/rio/rio_linux.c       |    6 +++---
 25-akpm/drivers/scsi/BusLogic.c            |    2 +-
 25-akpm/drivers/scsi/aic7xxx_old.c         |    2 +-
 25-akpm/drivers/scsi/arm/fas216.c          |    2 +-
 25-akpm/drivers/scsi/ips.c                 |    2 +-
 25-akpm/drivers/scsi/megaraid.c            |    6 +++---
 25-akpm/drivers/scsi/mesh.c                |   22 +++++++++++-----------
 25-akpm/drivers/scsi/ncr53c8xx.c           |    2 +-
 25-akpm/drivers/scsi/osst.c                |    6 +++---
 25-akpm/drivers/scsi/pas16.c               |    4 ++--
 25-akpm/drivers/scsi/pcmcia/aha152x_stub.c |    2 +-
 25-akpm/drivers/scsi/pcmcia/qlogic_stub.c  |    2 +-
 25-akpm/drivers/scsi/qla1280.c             |    2 +-
 25-akpm/drivers/scsi/seagate.c             |    6 +++---
 25-akpm/drivers/scsi/sun3_scsi.c           |   10 +++++-----
 25-akpm/drivers/scsi/wd33c93.c             |    2 +-
 25-akpm/drivers/scsi/wd7000.c              |    2 +-
 19 files changed, 42 insertions(+), 42 deletions(-)

diff -puN drivers/char/generic_serial.c~more-module_parm-conversions drivers/char/generic_serial.c
--- 25/drivers/char/generic_serial.c~more-module_parm-conversions	2004-10-28 19:07:21.193415408 -0700
+++ 25-akpm/drivers/char/generic_serial.c	2004-10-28 19:07:21.231409632 -0700
@@ -58,7 +58,7 @@ static int gs_debug;
 
 #define RS_EVENT_WRITE_WAKEUP	1
 
-MODULE_PARM(gs_debug, "i");
+module_param(gs_debug, int, 0644);
 
 
 void gs_put_char(struct tty_struct * tty, unsigned char ch)
diff -puN drivers/char/nwflash.c~more-module_parm-conversions drivers/char/nwflash.c
--- 25/drivers/char/nwflash.c~more-module_parm-conversions	2004-10-28 19:07:21.195415104 -0700
+++ 25-akpm/drivers/char/nwflash.c	2004-10-28 19:07:21.231409632 -0700
@@ -696,7 +696,7 @@ static void __exit nwflash_exit(void)
 
 MODULE_LICENSE("GPL");
 
-MODULE_PARM(flashdebug, "i");
+module_param(flashdebug, bool, 0644);
 
 module_init(nwflash_init);
 module_exit(nwflash_exit);
diff -puN drivers/char/rio/rio_linux.c~more-module_parm-conversions drivers/char/rio/rio_linux.c
--- 25/drivers/char/rio/rio_linux.c~more-module_parm-conversions	2004-10-28 19:07:21.197414800 -0700
+++ 25-akpm/drivers/char/rio/rio_linux.c	2004-10-28 19:07:21.233409328 -0700
@@ -236,9 +236,9 @@ long rio_irqmask = -1;
 MODULE_AUTHOR("Rogier Wolff <R.E.Wolff@bitwizard.nl>, Patrick van de Lageweg <patrick@bitwizard.nl>");
 MODULE_DESCRIPTION("RIO driver");
 MODULE_LICENSE("GPL");
-MODULE_PARM(rio_poll, "i");
-MODULE_PARM(rio_debug, "i");
-MODULE_PARM(rio_irqmask, "i");
+module_param(rio_poll, int, 0);
+module_param(rio_debug, int, 0644);
+module_param(rio_irqmask, long, 0);
 
 static struct real_driver rio_real_driver = {
   rio_disable_tx_interrupts,
diff -puN drivers/scsi/aic7xxx_old.c~more-module_parm-conversions drivers/scsi/aic7xxx_old.c
--- 25/drivers/scsi/aic7xxx_old.c~more-module_parm-conversions	2004-10-28 19:07:21.200414344 -0700
+++ 25-akpm/drivers/scsi/aic7xxx_old.c	2004-10-28 19:07:21.241408112 -0700
@@ -1233,7 +1233,7 @@ static int aic7xxx_seltime = 0x10;
  */
 #ifdef MODULE
 static char * aic7xxx = NULL;
-MODULE_PARM(aic7xxx, "s");
+module_param(aic7xxx, charp, 0);
 #endif
 
 #define VERBOSE_NORMAL         0x0000
diff -puN drivers/scsi/arm/fas216.c~more-module_parm-conversions drivers/scsi/arm/fas216.c
--- 25/drivers/scsi/arm/fas216.c~more-module_parm-conversions	2004-10-28 19:07:21.202414040 -0700
+++ 25-akpm/drivers/scsi/arm/fas216.c	2004-10-28 19:07:21.244407656 -0700
@@ -96,7 +96,7 @@
 
 static int level_mask = LOG_ERROR;
 
-MODULE_PARM(level_mask, "i");
+module_param(level_mask, int, 0644);
 
 static int __init fas216_log_setup(char *str)
 {
diff -puN drivers/scsi/BusLogic.c~more-module_parm-conversions drivers/scsi/BusLogic.c
--- 25/drivers/scsi/BusLogic.c~more-module_parm-conversions	2004-10-28 19:07:21.204413736 -0700
+++ 25-akpm/drivers/scsi/BusLogic.c	2004-10-28 19:07:21.247407200 -0700
@@ -86,7 +86,7 @@ static struct BusLogic_DriverOptions Bus
 MODULE_LICENSE("GPL");
 #ifdef MODULE
 static char *BusLogic;
-MODULE_PARM(BusLogic, "s");
+module_param(BusLogic, charp, 0);
 #endif
 
 
diff -puN drivers/scsi/ips.c~more-module_parm-conversions drivers/scsi/ips.c
--- 25/drivers/scsi/ips.c~more-module_parm-conversions	2004-10-28 19:07:21.206413432 -0700
+++ 25-akpm/drivers/scsi/ips.c	2004-10-28 19:07:21.253406288 -0700
@@ -201,7 +201,7 @@
 
 #ifdef MODULE
 static char *ips = NULL;
-MODULE_PARM(ips, "s");
+module_param(ips, charp, 0);
 #endif
 
 /*
diff -puN drivers/scsi/megaraid.c~more-module_parm-conversions drivers/scsi/megaraid.c
--- 25/drivers/scsi/megaraid.c~more-module_parm-conversions	2004-10-28 19:07:21.208413128 -0700
+++ 25-akpm/drivers/scsi/megaraid.c	2004-10-28 19:07:21.257405680 -0700
@@ -58,16 +58,16 @@ MODULE_LICENSE ("GPL");
 MODULE_VERSION(MEGARAID_MODULE_VERSION);
 
 static unsigned int max_cmd_per_lun = DEF_CMD_PER_LUN;
-MODULE_PARM(max_cmd_per_lun, "i");
+module_param(max_cmd_per_lun, uint, 0);
 MODULE_PARM_DESC(max_cmd_per_lun, "Maximum number of commands which can be issued to a single LUN (default=DEF_CMD_PER_LUN=63)");
 
 static unsigned short int max_sectors_per_io = MAX_SECTORS_PER_IO;
-MODULE_PARM(max_sectors_per_io, "h");
+module_param(max_sectors_per_io, ushort, 0);
 MODULE_PARM_DESC(max_sectors_per_io, "Maximum number of sectors per I/O request (default=MAX_SECTORS_PER_IO=128)");
 
 
 static unsigned short int max_mbox_busy_wait = MBOX_BUSY_WAIT;
-MODULE_PARM(max_mbox_busy_wait, "h");
+module_param(max_mbox_busy_wait, ushort, 0);
 MODULE_PARM_DESC(max_mbox_busy_wait, "Maximum wait for mailbox in microseconds if busy (default=MBOX_BUSY_WAIT=10)");
 
 #define RDINDOOR(adapter)		readl((adapter)->base + 0x20)
diff -puN drivers/scsi/mesh.c~more-module_parm-conversions drivers/scsi/mesh.c
--- 25/drivers/scsi/mesh.c~more-module_parm-conversions	2004-10-28 19:07:21.210412824 -0700
+++ 25-akpm/drivers/scsi/mesh.c	2004-10-28 19:07:21.258405528 -0700
@@ -60,23 +60,23 @@ MODULE_AUTHOR("Paul Mackerras (paulus@sa
 MODULE_DESCRIPTION("PowerMac MESH SCSI driver");
 MODULE_LICENSE("GPL");
 
-MODULE_PARM(sync_rate, "i");
-MODULE_PARM_DESC(sync_rate, "Synchronous rate (0..10, 0=async)");
-MODULE_PARM(sync_targets, "i");
-MODULE_PARM_DESC(sync_targets, "Bitmask of targets allowed to set synchronous");
-MODULE_PARM(resel_targets, "i");
-MODULE_PARM_DESC(resel_targets, "Bitmask of targets allowed to set disconnect");
-MODULE_PARM(debug_targets, "i");
-MODULE_PARM_DESC(debug_targets, "Bitmask of debugged targets");
-MODULE_PARM(init_reset_delay, "i");
-MODULE_PARM_DESC(init_reset_delay, "Initial bus reset delay (0=no reset)");
-
 static int sync_rate = CONFIG_SCSI_MESH_SYNC_RATE;
 static int sync_targets = 0xff;
 static int resel_targets = 0xff;
 static int debug_targets = 0;	/* print debug for these targets */
 static int init_reset_delay = CONFIG_SCSI_MESH_RESET_DELAY_MS;
 
+MODULE_PARM(sync_rate, int, 0);
+MODULE_PARM_DESC(sync_rate, "Synchronous rate (0..10, 0=async)");
+MODULE_PARM(sync_targets, int, 0);
+MODULE_PARM_DESC(sync_targets, "Bitmask of targets allowed to set synchronous");
+MODULE_PARM(resel_targets, int, 0);
+MODULE_PARM_DESC(resel_targets, "Bitmask of targets allowed to set disconnect");
+MODULE_PARM(debug_targets, int, 0644);
+MODULE_PARM_DESC(debug_targets, "Bitmask of debugged targets");
+MODULE_PARM(init_reset_delay, int, 0);
+MODULE_PARM_DESC(init_reset_delay, "Initial bus reset delay (0=no reset)");
+
 static int mesh_sync_period = 100;
 static int mesh_sync_offset = 0;
 static unsigned char use_active_neg = 0;  /* bit mask for SEQ_ACTIVE_NEG if used */
diff -puN drivers/scsi/ncr53c8xx.c~more-module_parm-conversions drivers/scsi/ncr53c8xx.c
--- 25/drivers/scsi/ncr53c8xx.c~more-module_parm-conversions	2004-10-28 19:07:21.212412520 -0700
+++ 25-akpm/drivers/scsi/ncr53c8xx.c	2004-10-28 19:07:21.264404616 -0700
@@ -7739,7 +7739,7 @@ static struct class_device_attribute *nc
 */
 #ifdef	MODULE
 char *ncr53c8xx;	/* command line passed by insmod */
-MODULE_PARM(ncr53c8xx, "s");
+module_param(ncr53c8xx, charp, 0);
 #endif
 
 static int __init ncr53c8xx_setup(char *str)
diff -puN drivers/scsi/osst.c~more-module_parm-conversions drivers/scsi/osst.c
--- 25/drivers/scsi/osst.c~more-module_parm-conversions	2004-10-28 19:07:21.214412216 -0700
+++ 25-akpm/drivers/scsi/osst.c	2004-10-28 19:07:21.268404008 -0700
@@ -82,13 +82,13 @@ MODULE_AUTHOR("Willem Riede");
 MODULE_DESCRIPTION("OnStream {DI-|FW-|SC-|USB}{30|50} Tape Driver");
 MODULE_LICENSE("GPL");
 
-MODULE_PARM(max_dev, "i");
+module_param(max_dev, int, 0);
 MODULE_PARM_DESC(max_dev, "Maximum number of OnStream Tape Drives to attach (4)");
 
-MODULE_PARM(write_threshold_kbs, "i");
+module_param(write_threshold_kbs, int, 0);
 MODULE_PARM_DESC(write_threshold_kbs, "Asynchronous write threshold (KB; 32)");
 
-MODULE_PARM(max_sg_segs, "i");
+module_param(max_sg_segs, int, 0);
 MODULE_PARM_DESC(max_sg_segs, "Maximum number of scatter/gather segments to use (9)");
 #else
 static struct osst_dev_parm {
diff -puN drivers/scsi/pas16.c~more-module_parm-conversions drivers/scsi/pas16.c
--- 25/drivers/scsi/pas16.c~more-module_parm-conversions	2004-10-28 19:07:21.216411912 -0700
+++ 25-akpm/drivers/scsi/pas16.c	2004-10-28 19:07:21.269403856 -0700
@@ -633,7 +633,7 @@ static Scsi_Host_Template driver_templat
 #include "scsi_module.c"
 
 #ifdef MODULE
-MODULE_PARM(pas16_addr, "h");
-MODULE_PARM(pas16_irq, "i");
+module_param(pas16_addr, ushort, 0);
+module_param(pas16_irq, int, 0);
 #endif
 MODULE_LICENSE("GPL");
diff -puN drivers/scsi/pcmcia/aha152x_stub.c~more-module_parm-conversions drivers/scsi/pcmcia/aha152x_stub.c
--- 25/drivers/scsi/pcmcia/aha152x_stub.c~more-module_parm-conversions	2004-10-28 19:07:21.217411760 -0700
+++ 25-akpm/drivers/scsi/pcmcia/aha152x_stub.c	2004-10-28 19:07:21.270403704 -0700
@@ -58,7 +58,7 @@
 
 #ifdef PCMCIA_DEBUG
 static int pc_debug = PCMCIA_DEBUG;
-MODULE_PARM(pc_debug, "i");
+module_param(pc_debug, int, 0644);
 #define DEBUG(n, args...) if (pc_debug>(n)) printk(KERN_DEBUG args)
 static char *version =
 "aha152x_cs.c 1.54 2000/06/12 21:27:25 (David Hinds)";
diff -puN drivers/scsi/pcmcia/qlogic_stub.c~more-module_parm-conversions drivers/scsi/pcmcia/qlogic_stub.c
--- 25/drivers/scsi/pcmcia/qlogic_stub.c~more-module_parm-conversions	2004-10-28 19:07:21.219411456 -0700
+++ 25-akpm/drivers/scsi/pcmcia/qlogic_stub.c	2004-10-28 19:07:21.270403704 -0700
@@ -66,7 +66,7 @@ static char qlogic_name[] = "qlogic_cs";
 
 #ifdef PCMCIA_DEBUG
 static int pc_debug = PCMCIA_DEBUG;
-MODULE_PARM(pc_debug, "i");
+module_param(pc_debug, int, 0644);
 #define DEBUG(n, args...) if (pc_debug>(n)) printk(KERN_DEBUG args)
 static char *version = "qlogic_cs.c 1.79-ac 2002/10/26 (David Hinds)";
 #else
diff -puN drivers/scsi/qla1280.c~more-module_parm-conversions drivers/scsi/qla1280.c
--- 25/drivers/scsi/qla1280.c~more-module_parm-conversions	2004-10-28 19:07:21.221411152 -0700
+++ 25-akpm/drivers/scsi/qla1280.c	2004-10-28 19:07:21.274403096 -0700
@@ -588,7 +588,7 @@ static void __qla1280_dump_buffer(char *
 static char *qla1280;
 
 /* insmod qla1280 options=verbose" */
-MODULE_PARM(qla1280, "s");
+module_param(qla1280, charp, 0);
 #else
 __setup("qla1280=", qla1280_setup);
 #endif
diff -puN drivers/scsi/seagate.c~more-module_parm-conversions drivers/scsi/seagate.c
--- 25/drivers/scsi/seagate.c~more-module_parm-conversions	2004-10-28 19:07:21.222411000 -0700
+++ 25-akpm/drivers/scsi/seagate.c	2004-10-28 19:07:21.276402792 -0700
@@ -254,9 +254,9 @@ static unsigned char controller_type = 0
 						   boards */
 static int irq = IRQ;
 
-MODULE_PARM (base_address, "i");
-MODULE_PARM (controller_type, "b");
-MODULE_PARM (irq, "i");
+module_param(base_address, uint, 0);
+module_param(controller_type, byte, 0);
+module_param(irq, int, 0);
 MODULE_LICENSE("GPL");
 
 
diff -puN drivers/scsi/sun3_scsi.c~more-module_parm-conversions drivers/scsi/sun3_scsi.c
--- 25/drivers/scsi/sun3_scsi.c~more-module_parm-conversions	2004-10-28 19:07:21.223410848 -0700
+++ 25-akpm/drivers/scsi/sun3_scsi.c	2004-10-28 19:07:21.277402640 -0700
@@ -107,17 +107,17 @@ static inline unsigned char sun3scsi_rea
 static inline void sun3scsi_write(int reg, int value);
 
 static int setup_can_queue = -1;
-MODULE_PARM(setup_can_queue, "i");
+module_param(setup_can_queue, int, 0);
 static int setup_cmd_per_lun = -1;
-MODULE_PARM(setup_cmd_per_lun, "i");
+module_param(setup_cmd_per_lun, int, 0);
 static int setup_sg_tablesize = -1;
-MODULE_PARM(setup_sg_tablesize, "i");
+module_param(setup_sg_tablesize, int, 0);
 #ifdef SUPPORT_TAGS
 static int setup_use_tagged_queuing = -1;
-MODULE_PARM(setup_use_tagged_queuing, "i");
+module_param(setup_use_tagged_queuing, int, 0);
 #endif
 static int setup_hostid = -1;
-MODULE_PARM(setup_hostid, "i");
+module_param(setup_hostid, int, 0);
 
 static Scsi_Cmnd *sun3_dma_setup_done = NULL;
 
diff -puN drivers/scsi/wd33c93.c~more-module_parm-conversions drivers/scsi/wd33c93.c
--- 25/drivers/scsi/wd33c93.c~more-module_parm-conversions	2004-10-28 19:07:21.225410544 -0700
+++ 25-akpm/drivers/scsi/wd33c93.c	2004-10-28 19:07:21.278402488 -0700
@@ -154,7 +154,7 @@ MODULE_LICENSE("GPL");
 static char *setup_args[] = { "", "", "", "", "", "", "", "", "" };
 
 static char *setup_strings;
-MODULE_PARM(setup_strings, "s");
+module_param(setup_strings, charp, 0);
 
 static void wd33c93_execute(struct Scsi_Host *instance);
 
diff -puN drivers/scsi/wd7000.c~more-module_parm-conversions drivers/scsi/wd7000.c
--- 25/drivers/scsi/wd7000.c~more-module_parm-conversions	2004-10-28 19:07:21.227410240 -0700
+++ 25-akpm/drivers/scsi/wd7000.c	2004-10-28 19:07:21.280402184 -0700
@@ -589,7 +589,7 @@ typedef union icb {
 
 #ifdef MODULE
 static char *wd7000;
-MODULE_PARM(wd7000, "s");
+module_param(wd7000, charp, 0);
 #endif
 
 /*
_
